Bug 860118 - [abrt] java-1.7.0-openjdk-1.7.0.6-2.3.1.fc17.2: os::abort: Process /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.6.x86_64/jre/bin/java was killed by signal 6 (SIGABRT)
[abrt] java-1.7.0-openjdk-1.7.0.6-2.3.1.fc17.2: os::abort: Process /usr/lib/j...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
abrt_hash:e64e0078b2bae2284c314841666...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-24 23:03 EDT by mdmpsyd@gmail.com
Modified: 2013-07-31 14:22 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 14:22:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (2.92 KB, text/plain)
2012-09-24 23:03 EDT, mdmpsyd@gmail.com
no flags Details
File: environ (1.92 KB, text/plain)
2012-09-24 23:03 EDT, mdmpsyd@gmail.com
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-24 23:03 EDT, mdmpsyd@gmail.com
no flags Details
File: backtrace (116.54 KB, text/plain)
2012-09-24 23:03 EDT, mdmpsyd@gmail.com
no flags Details
File: cgroup (127 bytes, text/plain)
2012-09-24 23:03 EDT, mdmpsyd@gmail.com
no flags Details
File: maps (47.81 KB, text/plain)
2012-09-24 23:03 EDT, mdmpsyd@gmail.com
no flags Details
File: dso_list (8.83 KB, text/plain)
2012-09-24 23:03 EDT, mdmpsyd@gmail.com
no flags Details
File: var_log_messages (266 bytes, text/plain)
2012-09-24 23:04 EDT, mdmpsyd@gmail.com
no flags Details
File: open_fds (1.88 KB, text/plain)
2012-09-24 23:04 EDT, mdmpsyd@gmail.com
no flags Details
hs_err found in my computer from October 4 (118.15 KB, text/plain)
2012-10-16 14:55 EDT, Sergio Monteiro Basto
no flags Details
today crash (116.03 KB, text/plain)
2012-12-27 07:38 EST, Sergio Monteiro Basto
no flags Details

  None (edit)
Description mdmpsyd@gmail.com 2012-09-24 23:03:44 EDT
Version-Release number of selected component:
java-1.7.0-openjdk-1.7.0.6-2.3.1.fc17.2

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
backtrace_rating: 3
cmdline:        java -Dazureus.install.path=/home/mark/.azureus/app -Dazureus.script.version=2 -Dazureus.script=/usr/bin/azureus -Dorg.eclipse.swt.browser.UseWebKitGTK=true org.gudy.azureus2.ui.swt.Main
crash_function: os::abort
kernel:         3.5.4-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #2 os::abort at /usr/src/debug/java-1.7.0-openjdk/openjdk/hotspot/src/os/linux/vm/os_linux.cpp
: #3 VMError::report_and_die at /usr/src/debug/java-1.7.0-openjdk/openjdk/hotspot/src/share/vm/utilities/vmError.cpp
: #4 crash_handler at /usr/src/debug/java-1.7.0-openjdk/openjdk/hotspot/src/os/linux/vm/vmError_linux.cpp
: #6 utf8_length at /usr/src/debug/java-1.7.0-openjdk/openjdk/hotspot/src/share/vm/oops/symbol.hpp
: #7 Symbol::as_unicode at /usr/src/debug/java-1.7.0-openjdk/openjdk/hotspot/src/share/vm/oops/symbol.cpp
: #8 StringTable::intern at /usr/src/debug/java-1.7.0-openjdk/openjdk/hotspot/src/share/vm/classfile/symbolTable.cpp
: #9 constantPoolOopDesc::string_at_impl at /usr/src/debug/java-1.7.0-openjdk/openjdk/hotspot/src/share/vm/oops/constantPoolOop.cpp
: #10 string_at at /usr/src/debug/java-1.7.0-openjdk/openjdk/hotspot/src/share/vm/oops/constantPoolOop.hpp
: #11 constantPoolKlass::oop_print_on at /usr/src/debug/java-1.7.0-openjdk/openjdk/hotspot/src/share/vm/oops/constantPoolKlass.cpp
: #12 os::print_location at /usr/src/debug/java-1.7.0-openjdk/openjdk/hotspot/src/share/vm/runtime/os.cpp
Comment 1 mdmpsyd@gmail.com 2012-09-24 23:03:47 EDT
Created attachment 616814 [details]
File: core_backtrace
Comment 2 mdmpsyd@gmail.com 2012-09-24 23:03:49 EDT
Created attachment 616815 [details]
File: environ
Comment 3 mdmpsyd@gmail.com 2012-09-24 23:03:50 EDT
Created attachment 616816 [details]
File: limits
Comment 4 mdmpsyd@gmail.com 2012-09-24 23:03:53 EDT
Created attachment 616817 [details]
File: backtrace
Comment 5 mdmpsyd@gmail.com 2012-09-24 23:03:55 EDT
Created attachment 616818 [details]
File: cgroup
Comment 6 mdmpsyd@gmail.com 2012-09-24 23:03:57 EDT
Created attachment 616819 [details]
File: maps
Comment 7 mdmpsyd@gmail.com 2012-09-24 23:03:59 EDT
Created attachment 616820 [details]
File: dso_list
Comment 8 mdmpsyd@gmail.com 2012-09-24 23:04:01 EDT
Created attachment 616821 [details]
File: var_log_messages
Comment 9 mdmpsyd@gmail.com 2012-09-24 23:04:03 EDT
Created attachment 616822 [details]
File: open_fds
Comment 10 Deepak Bhole 2012-09-25 10:49:08 EDT
Is this reproducible?
Comment 11 Sergio Monteiro Basto 2012-10-07 07:21:10 EDT
this happens with azureus
azureus crash often , when loads torrents or magnet links 


backtrace_rating: 3
Package: java-1.7.0-openjdk-1.7.0.6-2.3.1.fc17.2
OS Release: Fedora release 17 (Beefy Miracle)
Comment 12 Deepak Bhole 2012-10-16 14:23:32 EDT
Do you have the hs_err file by any chance? It should be in the directory where you started Azureus from (or in your home directory).
Comment 13 Sergio Monteiro Basto 2012-10-16 14:55:36 EDT
Created attachment 628334 [details]
hs_err found in my computer from October 4
Comment 14 Deepak Bhole 2012-10-16 15:15:58 EDT
Thanks! The above file makes the code path a bit clearer. It seems the error originates in SWT which is outside of JDK control.

Re-assigning to swt provider.
Comment 15 Alexander Kurtakov 2012-12-18 14:58:53 EST
Sergio, this is pretty interesting failure can you give me exact instructions how to reproduce with Azureus? I haven't encountered it (I use Azureus) yet.
Comment 16 Sergio Monteiro Basto 2012-12-27 07:38:15 EST
Created attachment 669578 [details]
today crash

(In reply to comment #15)
> Sergio, this is pretty interesting failure can you give me exact
> instructions how to reproduce with Azureus? I haven't encountered it (I use
> Azureus) yet.

Hi, I crash azureus early today, I could crash it when try open a torrent, I choose open URL , choose 
https://torcache.net/torrent/79F279FB08098729275342504AF9F028D641A6D2.torrent

or click several times in piratebay.se on link to download torrent for example: magnet:?xt=urn:btih:f9b1aa6708b99e68fab9c33a52b4a4f25ee7265e&dn=Taken.2.2012.DVDRIP.XVID.AC3.5.1-HS&tr=udp%3A%2F%2Ftracker.openbittorrent.com%3A80&tr=udp%3A%2F%2Ftracker.publicbt.com%3A80&tr=udp%3A%2F%2Ftracker.istole.it%3A6969&tr=udp%3A%2F%2Ftracker.ccc.de%3A80

if download is very slow or stopped, modal windows stay on and couldn't close it , after this I try open other URL torrent in other window and after some clicks (I don't know how explain) , azureus core dumps 

In this moment seems, that I don't have download problems so I can't reproduce it again, is a kind of random. 

If you need more info or don't understand something that I wrote, feel free to ask again ...

Thanks,
Comment 17 Fedora End Of Life 2013-07-03 15:36:42 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2013-07-31 14:22:42 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.